## phosh-0.23.0.tar.xz

=== meson_options.txt ===
option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

option('phoc_tests',
       type: 'feature', value: 'auto',
       description: 'Whether to enable tests that need phoc')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference for Phosh')

option('systemd',
       type: 'boolean', value: false,
       description: 'Whether to generate systemd user units')

option('compositor',
       type: 'string', value: '/usr/bin/phoc',
       description: 'Path to the Phoc compositor for use in the launcher script')

option('callui-i18n',
       type: 'boolean', value: false,
       description: 'Whether to install libcallui\s i18n fles')

# Tools helping with e.g. notification server development
option('tools',
       type: 'boolean', value: false,
       description: 'Whether to build the tools')

option('lockscreen-plugins',
       type: 'boolean', value: 'true',
       description: 'Whether to build the lockscreen plugins')

=== debian/changelog ===
phosh (0.23.0) experimental; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * call: Only stop time when call is ended.
    We want the timer to continue ticking when on hold to be consistent with
    calls. Now we also need to guard against starting the GTimer multiple times.
    Originally filed as
    https://gitlab.gnome.org/GNOME/calls/-/issues/502
  * plugins/ticket-box: Remove duplicated text.
    One warning is good enough

  [ Guido Günther ]
  * call: Document class.
    This makes it show up properly in the documentation
  * sm.puri.OSK0: Document DBus interface.
    As other projects sync from here document the interface implemented
    by squeekboard, virtboard and phosh-osk-stub better.
  * docs: Include the sm.puri.OSK0 DBus interface in the documentation.
    This allows us to link to the rendered docs.
  * widget-box-standalone: Initialize libhandy.
    This makes sure the styles get loaded.
  * dir-locals: Prevent tabs in meson mode
  * Drop remaining users of config.h.
    It was renamed to phosh-config.h a while back
    Fixes: b5b03b0c0123e8533896cddbfff19f1648f77d61
  * widget-box-standalone: Improve comment
  * widget-box: Add missing quote
  * build: Add a pkgconfig file with plugin information.
    This allows other tools and external pugins to figure out
    the file system locations.
  * build: Allow to disable the plugin build.
    This allows to disable all plugins (e.g. to reduce compilation time
    or dependencies).
  * build: Add and install plugin header file.
    This simplifies external plugins.
  * plugins/calendar: Use plugin header
  * plugins/calendar: Pass plugin name to compilation units.
    This makes sure they don't get out of sync
  * plugins/ticket-box: Use plugin header
  * plugins/ticket-box: Pass plugin name to compilation units.
    This makes sure they don't get out of sync
  * plugins/upcoming-events: Use plugin header
  * plugins/upcoming-events: Pass plugin name to compilation units.
    This makes sure they don't get out of sync
  * Add a phosh-dev package.
    This includes pkg config files and headers. Currently this affects
    plugins and is useful for locating the plugins (e.g. to load them or
    parse related information) or to build plugins outside of phosh's source
    tree.
  * shell: Allow to query blanked state easily
  * notifications: Use silent feedback when blanked, not locked.
    Now that these two states will become different.
  * shell: Disconnect the right monitor in phosh_shell_set_primary_monitor.
    Fixes 817ac486 ("shell: Update top panel height on primary monitor resize")
  * shell: Simpliy on_monitor_removed logic
  * build: Add include directory for dbus sources too
  * Switch to gi-docgen (Closes: #589)
  * src: Fix doc headers.
    Drop short_description and title so gi-docgen can pick them up.
  * debian: Adjust packaging for gi-docgen switch
  * ci: Adjust to new doc location.
    We also skip the doc check until we fixed more warnings.
  * tools: Update doc check.
    Drop warnings/errors from wayland protocols and contrib source code.  We
    always exit with success for the moment until we cleaned up more bits.
  * wwan/ofono: Fix comment.
    Don't start with `**` if not meant for gtk-doc/gi-docgen
  * wwan/mm: Fix comment.
    Don't start with `**` if not meant for gtk-doc/gi-docgen
  * vpn-info: Fix property name
  * docs: Mention sm.puri.OSK0.
    The docs are generated via our patch to gdbus-codegen. Should these land
    we can create it during build time with the next glib release.
  * docs: Remove now unused files
  * network-auth-prompt: Document signal arguments
  * polkit-auth-promopt: Document signal arguments
  * ci: Skip pages job with PKG_ONLY

  [ Chris Talbot ]
  * lockscreen-plugins-calendar: Encapsulate calendar to include ui file
  * lockscreen-plugins-calendar: Encapsulate in GtkBox
  * lockscreen-plugins-calendar: Add CSS
  * lockscreen-plugins: Create Emergency Info and Contact Plugin

  [ Aleksandr Melman ]
  * Update Russian translation

  [ Zurab Kargareteli ]
  * Update Georgian translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation

  [ Hugo Carvalho ]
  * Update Portuguese translation

  [ Martin ]
  * Update Slovenian translation

 -- Guido Günther <agx@sigxcpu.org>  Tue, 20 Dec 2022 16:23:55 +0100

phosh (0.22.0) experimental; urgency=medium

  [ Guido Günther ]
  * build: Use glib_ver consistently
  * build: Bump required glib version to 2.66.
    This is the version in Debian stable so we can safely
    use this as baseline.
  * Allow for notifications to have actions on the lockscreen.
    Related: https://gitlab.freedesktop.org/xdg/xdg-specs/-/issues/103
    Closes: https://gitlab.gnome.org/World/Phosh/phosh/-/issues/620
  * Add libgmobile subproject.
    We'll use it for timers in follow up commits
  * upcoming-events: Use a suspend robust timer.
    We need a timer source that takes system suspend into account.
    Use gmobile's gm_timeout_add_seconds_once() that is there for
    that purpose. (Closes: #826)
  * lockscreen: Use G_SOURCE_{REMOVE,CONTINUE}
    Easier to read than TRUE/FALSE.
  * lockscreen: Use g_clear_handle_id()
    Less code, less chance to break things on refactor.
  * lockscreen: Don't use two independent if clauses.
    It's all based on index so use `if/else` instead.
  * lockscreen: Set entry sensitive when focused.
    Focusing will fail otherwise so let's keep these together
  * lockscreen: Mark entry as initially sensitive.
    This avoids the letter one on the keypad being focused initally
    fixing a visual glitch that was triggered by unifying button styles:
    https://gitlab.gnome.org/World/Phosh/phosh/-/merge_requests/1154 Tested
    with both phosh-osk-stub and squeekboard.

  [ codewood ]
  * batteryinfo: Use percentage instead of icon-name to determine icon.
    Icon themes like adwaita provide icons for 10% steps, use these based on
    the current battery level rather than just the 3 levels provided by


=== debian/control ===
Source: phosh
Section: x11
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 debhelper-compat (= 13),
 gi-docgen <!nodoc>,
 libadwaita-1-dev,
 libcallaudio-dev,
 libevince-dev,
 libsecret-1-dev,
 libsystemd-dev,
 libfeedback-dev,
 libfribidi-dev,
 libgcr-3-dev,
 libglib2.0-doc <!nodoc>,
 libgnome-desktop-3-dev,
 libgtk-3-dev,
 libgtk-3-doc <!nodoc>,
 libgtk-4-dev,
 libgudev-1.0-dev,
 libhandy-1-dev (>= 1.1.90),
 libnm-dev,
 libpam0g-dev,
 libpolkit-agent-1-dev,
 libpulse-dev,
 libupower-glib-dev,
 libwayland-dev,
 libxml2-utils,
 linux-libc-dev (>= 5.12) [arm64],
 meson,
 pandoc <!nodoc>,
# for the plugins
 libecal2.0-dev,
 evolution-data-server-dev,
# to run the tests
 at-spi2-core <!nocheck>,
 dbus-x11 <!nocheck>,
 gnome-settings-daemon-common <!nocheck>,
 gnome-shell-common <!nocheck>,
 gnome-themes-extra-data <!nocheck>,
 gsettings-desktop-schemas <!nocheck>,
 librsvg2-common <!nocheck>,
 phoc <!nocheck>,
 xauth <!nocheck>,
 xvfb <!nocheck>,
 xwayland <!nocheck>,
Standards-Version: 4.1.3
Homepage: https://gitlab.gnome.org/World/Phosh/phosh/
Rules-Requires-Root: no

Package: phosh
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 fonts-lato,
 gnome-shell-common,
 gsettings-desktop-schemas,
 phoc (>= 0.21.0),
Recommends:
 feedbackd,
 fonts-cantarell,
 gnome-session-bin,
 gnome-session-common,
 gnome-settings-daemon,
 iio-sensor-proxy,
 librsvg2-common,
 phosh-mobile-tweaks,
 slurp,
 squeekboard | phosh-osk-stub,
Provides:
 notification-daemon,
 polkit-1-auth-agent,
Breaks:
 gnome-calls (<< 41~alpha),
Description: Pure Wayland shell for mobile devices
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 It's part of the Phosh Mobile Environment based on GNOME/GTK. For the full
 stack see the phosh-full and phosh-core metapackages.

Package: phosh-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
Description: Pure Wayland shell for mobile devices - development documentation
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains the development documentation.

Package: phosh-mobile-tweaks
Architecture: all
Depends:
 ${misc:Depends},
 dconf-gsettings-backend | gsettings-backend,
Description: Pure Wayland shell for mobile devices - GSettings tweaks
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains settings to improve behaviour on mobile devices.

Package: phosh-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gsettings-desktop-schemas,
 phoc (>= 0.13.1),
Description: Pure Wayland shell for mobile devices - Plugins
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains additional plugins.

Package: phosh-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Pure Wayland shell for mobile devices - development files
 Phosh is a graphical shell for Wayland compositors speaking the layer-surface
 protocol and aimed at mobile devices like smart phones and tablets using touch
 based inputs and small screens.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIGURE_OPTS=-Dphoc_tests=disabled -Dsystemd=true

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
  CONFIGURE_OPTS+=-Dgtk_doc=true
else
  CONFIGURE_OPTS+=-Dgtk_doc=false
endif

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
  CONFIGURE_OPTS+=-Dtests=true
else
  CONFIGURE_OPTS+=-Dtests=false
endif

%:
	dh $@ --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

override_dh_auto_build:
	dh_auto_build

override_dh_auto_install:
	set -e; for script in postinst postrm triggers; do \
                sed -e"s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
                    -e"s/#ARCH#/$(DEB_HOST_ARCH)/g" \
                    debian/phosh.$$script.in \
                    > debian/phosh.$$script ; \
        done
	dh_auto_install

override_dh_installsystemd:
	rm -f debian/phosh.service
	cp data/phosh.service debian/phosh.service
	dh_installsystemd --no-start --no-enable --no-restart-on-upgrade --no-restart-after-upgrade

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	LC_ALL=C.UTF-8 xvfb-run -a meson test -C _build --no-suite manual
endif
